[gtkglext] Use autogen.sh



commit 1ad1544f66193b5335f08586cf970377e675f6ce
Author: Emmanuele Bassi <ebassi gnome org>
Date:   Sun Nov 9 21:53:47 2014 +0000

    Use autogen.sh
    
    Follow the common patterns of all autotooled projects.

 autogen.sh |   37 +++++++++++++++++++++++++++++++++++++
 bootstrap  |    9 ---------
 2 files changed, 37 insertions(+), 9 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..55a8cf6
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+
+cd $srcdir
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+        echo "*** No autoreconf found, please install it ***"
+        exit 1
+fi
+
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+        echo "*** No GTK-Doc found, please install it ***"
+        exit 1
+fi
+
+# NOCONFIGURE is used by gnome-common
+if test -z "$NOCONFIGURE"; then
+        if test -z "$*"; then
+                echo "I am going to run ./configure with no arguments - if you wish "
+                echo "to pass any to it, please specify them on the $0 command line."
+        fi
+fi
+
+rm -rf autom4te.cache
+
+gtkdocize || exit $?
+autoreconf --force --install --verbose || exit $?
+
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]